﻿
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<div id="content" class="content">
    
    <div class="section-with-top-border">

        <div class="row">
            <div class="col-md-4">
                <h4>Company Group Segment</h4>
            </div>
            @*<div class="col-md-10">
            @Html.ActionLink("Add New Company Group", "Create", "CompanyGroup", null, new { @class = "btn btn-info width-150 m-b-10" })
        </div>*@
        </div>
        <!-- begin panel -->
        <div class="panel pagination-inverse m-b-0 clearfix">
            <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover">
                <thead>
                    <tr class="inverse">
                        <th>Company Group Name</th>
                        <th>Description</th>

                    </tr>
                </thead>
            </table>
        </div>
        <!-- end panel -->
    </div>

    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
    <!-- end #footer -->
</div>

<script>
    $(document).ready(function () {
        $("#data-table").DataTable({
            "processing": true, 
            "serverSide": true, 
            "filter": true, 
            "orderMulti": false, 
            "ajax": {
                "url": "/CompanyGroup/LoadData",
                "type": "POST",
                "datatype": "json",
            },

            "columns": [
                { "data": "companyGroupName", "name": "companyGroupName" },
                { "data": "description", "name": "description" }
            ]
        });
    });
</script>

